Bug 183044 - [WinCairo] Add WebKit Shared/win files for wincairo webkit
Summary: [WinCairo] Add WebKit Shared/win files for wincairo webkit
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Fujii Hironori
URL:
Keywords: InRadar
Depends on:
Blocks: 174003
  Show dependency treegraph
 
Reported: 2018-02-22 09:44 PST by Yousuke Kimoto
Modified: 2018-04-04 10:01 PDT (History)
9 users (show)

See Also:


Attachments
Patch (11.73 KB, patch)
2018-02-23 05:18 PST, Yousuke Kimoto
no flags Details | Formatted Diff | Diff
Patch (9.39 KB, patch)
2018-03-05 05:21 PST, Yousuke Kimoto
no flags Details | Formatted Diff | Diff
Patch (3.06 KB, patch)
2018-04-03 23:25 PDT, Fujii Hironori
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuke Kimoto 2018-02-22 09:44:53 PST
Add files in Shared/Win for wincairo webkit. (Event files for wincairo webkit are handled in Bug 183043).
In this ticket, the following files are added:
- WebKit/Shared/win/ArgumentCodersWin.cpp
- WebKit/Shared/win/ArgumentCodersWin.h
- WebKit/Shared/win/ChildProcessMainWin.cpp
- WebKit/Shared/win/ProcessExecutablePathWin.cpp
- WebKit/Shared/win/WebErrorsWin.cpp
Comment 1 Yousuke Kimoto 2018-02-23 05:18:29 PST
Created attachment 334521 [details]
Patch
Comment 2 Don Olmstead 2018-02-23 12:49:27 PST
Comment on attachment 334521 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=334521&action=review

Think this about ready to go. Just need to change that stale call.

> Source/WebKit/Shared/win/ProcessExecutablePathWin.cpp:62
> +#if ENABLE(DATABASE_PROCESS)
> +String executablePathOfDatabaseProcess()
> +{
> +    return findWebKitProcess("WebKitDatabaseProcess");
> +}
> +#endif

This is stale. There is no more Database Process its Storage Process. There's no ENABLE around it either.

String executablePathOfStorageProcess()
{
    return findWebKitProcess("WebKitStorageProcess");
}

> Source/WebKit/Shared/win/WebErrorsWin.cpp:41
> +    // FIXME: Need ChickenCat to include CFNetwork/CFURLError.h to get these values
> +    // Alternatively, we could create our own error domain/codes.

ChickenCat?
Comment 3 Don Olmstead 2018-02-23 13:05:39 PST
(In reply to Don Olmstead from comment #2)
> Comment on attachment 334521 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=334521&action=review
> 
> Think this about ready to go. Just need to change that stale call.
> 
> > Source/WebKit/Shared/win/ProcessExecutablePathWin.cpp:62
> > +#if ENABLE(DATABASE_PROCESS)
> > +String executablePathOfDatabaseProcess()
> > +{
> > +    return findWebKitProcess("WebKitDatabaseProcess");
> > +}
> > +#endif
> 
> This is stale. There is no more Database Process its Storage Process.
> There's no ENABLE around it either.
> 
> String executablePathOfStorageProcess()
> {
>     return findWebKitProcess("WebKitStorageProcess");
> }
> 
> > Source/WebKit/Shared/win/WebErrorsWin.cpp:41
> > +    // FIXME: Need ChickenCat to include CFNetwork/CFURLError.h to get these values
> > +    // Alternatively, we could create our own error domain/codes.
> 
> ChickenCat?

Appears ChickenCat is something that was copy pasted from a file in WebKitLegacy. I think we can just delete this as we don't have any plans to use CFNetwork on WinCairo
Comment 4 Yousuke Kimoto 2018-02-23 19:23:28 PST
Comment on attachment 334521 [details]
Patch

Don, thanks.
I'll reconfirm those files you mentioned.
Comment 5 Yousuke Kimoto 2018-03-05 05:21:41 PST
Created attachment 334998 [details]
Patch
Comment 6 Alex Christensen 2018-03-14 14:25:31 PDT
Comment on attachment 334998 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=334998&action=review

> Source/WebKit/Shared/win/ProcessExecutablePathWin.cpp:5
> + *

extra space

> Source/WebKit/Shared/win/ProcessExecutablePathWin.cpp:40
> +    //        Currently "processName" is just returned.

This comment line has strange spacing and is not adding anything to the code.
Comment 7 Fujii Hironori 2018-04-03 23:25:14 PDT
Created attachment 337149 [details]
Patch

Thank you, Alex.

* Removed unused files ArgumentCodersWin.* and ProcessExecutablePathWin.cpp
* ChildProcessMainWin.cpp: Handle `-processIdentifier` switch
Comment 8 WebKit Commit Bot 2018-04-04 10:00:37 PDT
Comment on attachment 337149 [details]
Patch

Clearing flags on attachment: 337149

Committed r230260: <https://trac.webkit.org/changeset/230260>
Comment 9 WebKit Commit Bot 2018-04-04 10:00:39 PDT
All reviewed patches have been landed.  Closing bug.
Comment 10 Radar WebKit Bug Importer 2018-04-04 10:01:22 PDT
<rdar://problem/39177611>